Bug 1221745 - Recent Alerts and Operations portlets are not sortable
Summary: Recent Alerts and Operations portlets are not sortable
Status: CLOSED ERRATA
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.3.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: ER01
: JON 3.3.3
Assignee: Libor Zoubek
QA Contact: Filip Brychta
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-14 17:41 UTC by Marc Shirley
Modified: 2019-06-13 08:30 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-30 16:43:31 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1525 normal SHIPPED_LIVE Moderate: Red Hat JBoss Operations Network 3.3.3 update 2015-07-30 20:41:08 UTC

Description Marc Shirley 2015-05-14 17:41:47 UTC
Description of problem:
Recent Alerts and Recent Operations dashboard portlets are not sortable.  Selecting any column to change the sort order has no effect on the contents of the portlet.

Version-Release number of selected component (if applicable):
JON 3.3.0

How reproducible:
Always

Steps to Reproduce:
1. Load default dashboard
2. Click on any column in Recent Alerts/Operations portlet to change sort order

Actual results:
Contents of portlet are unchanged.

Expected results:
Contents of portlet should be reordered based on the sort context.

Additional info:

Comment 3 Libor Zoubek 2015-06-23 09:38:17 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/b4e27ab34
time:    2015-06-23 11:27:21 +0200
commit:  b4e27ab34169a58b602e2b898dbaa9ce2cff8c51
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1221745 - Recent Alerts and Operations portlets are not sortable

         override setPagingInfo in datasources to prevent ignoring
         portlet result-count limit and fetching data any time user
         wants to sort result

Comment 5 Simeon Pinder 2015-07-10 18:55:27 UTC
Available for test with 3.3.3 ER01 build: 
https://brewweb.devel.redhat.com/buildinfo?buildID=446732
 *Note: jon-server-patch-3.3.0.GA.zip maps to ER01 build of
 jon-server-3.3.0.GA-update-03.zip.

Comment 6 Filip Brychta 2015-07-13 15:42:26 UTC
Verified on
Version :	
3.3.0.GA Update 03
Build Number :	
e4b348a:2f80c8c

Comment 8 errata-xmlrpc 2015-07-30 16:43:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1525.html


Note You need to log in before you can comment on or make changes to this bug.